version: 25.3.2
files:
  - url: Trezor-Suite-25.3.2-win-x64.exe
    sha512: g8iZH2oyOP+zJZ2eTjtSBpmzUiy+xA7AVvFW3bgGMokpoun+2epDOJKhREx5ZXhP7/oHQScGkP5qtVe6NA/sLA==
    size: 138460608
path: Trezor-Suite-25.3.2-win-x64.exe
sha512: g8iZH2oyOP+zJZ2eTjtSBpmzUiy+xA7AVvFW3bgGMokpoun+2epDOJKhREx5ZXhP7/oHQScGkP5qtVe6NA/sLA==
releaseNotes: "### 🚀 New features\n\n-   Users can now cancel outgoing Bitcoin transactions using Replace-By-Fee (RBF), providing more flexibility and control over their transactions.\n-   Stake Solana (SOL) directly from Trezor Suite. Easily receive rewards by delegating your SOL through the new “Stake” feature in the assets and trade table.\n-   A new Over-the-Counter (OTC) trade flow is now available for high-value Buy and Sell transactions that cannot be fulfilled through standard trading options.\n\n### 🎨 Improvements\n\n-   A new receive confirmation modal guides users through the process of safely verifying addresses end to end to enhance security.\n-   The redesigned welcome screen provides more space for important content, improves alignment with the in-app menu bar, and removes unnecessary empty space.\n-   Increased security of application files on Windows by improving integrity protection.\n-   Solana transactions now display a Blockhash timer, giving users better visibility into transaction expiration and timing.\n-   Integrated\_1inch Fusion\_for significantly cheaper DEX swap transactions, helping you save on trading fees.\n\n### 🔧 Bug fixes\n\n-   Fixed minor bugs, improved usability, and optimized performance for a smoother experience.\n"
releaseDate: '2025-03-19T12:07:47.305Z'
stagingPercentage: 20
